Plugin Manager truncates Plugin name in Lists
2017-11-14 10:29 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25348
Description

In current Plugin Manager, the names of plugins with (too?) long titles are truncated to 32 chars it seems:

OpenQuake Integrated Risk Modelling Toolkit
becomes
OpenQuake Integrated Risk Modell

INSPIRE Nederland plugin voor QGIS
becomes
INSPIRE Nederland plugin voor QG

Not sure what the best solution is:

Make column in Plugin Manager wider (easiest)

or

Let plugin site check for width of title and create error when longer then xxx characters?

Associated revisions

Revision 5f915a09 - 2017-11-14 12:31 PM - Borys Jurgiel

[Plugin manager] Don't truncate long names. Fixes #17451.

History

#1 - 2017-11-14 12:32 PM - Borys Jurgiel
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|5f915a09db20267e2ec3e30cd2bf6c9ba7fcd9b2.

#2 - 2017-11-14 12:37 PM - Borys Jurgiel

| don't remember why | implemented the truncation (maybe just to avoid a narrow column with a few items much longer than the rest?). Now | reverted it in

3.0 and 2.18 and everything seems to work - the list view is not expanding automatically and the contents even looks quite good.

Files

truncatedTitle.jpg 84.8 KB 2017-11-14 Richard Duivenvoorde

2025-04-27 1/1




